import type { DiffFormatter } from './diff';
import type { ErrorOptions } from './ErrorOptions';
import type { RuntimeError } from './model';
/**
 * Generates Serenity/JS [`RuntimeError`](https://serenity-js.org/api/core/class/RuntimeError/) objects based
 * on the provided [configuration](https://serenity-js.org/api/core/interface/ErrorOptions/).
 *
 * @group Errors
 */
export declare class ErrorFactory {
    private readonly formatter;
    constructor(formatter?: DiffFormatter);
    create<RE extends RuntimeError>(errorType: new (...args: any[]) => RE, options: ErrorOptions): RE;
    private title;
    private diffFrom;
}
//# sourceMappingURL=ErrorFactory.d.ts.map