import type { JSONObject } from 'tiny-types';
import { RuntimeError } from './RuntimeError';
/**
 * Thrown to indicate that a [scheduled operation](https://serenity-js.org/api/core/class/Scheduler/)
 * has been stopped before it was completed.
 *
 * @group Errors
 */
export declare class OperationInterruptedError extends RuntimeError {
    static fromJSON(serialised: JSONObject): OperationInterruptedError;
    /**
     * @param message
     *  Human-readable description of the error
     *
     * @param [cause]
     *  The root cause of this [`RuntimeError`](https://serenity-js.org/api/core/class/RuntimeError/), if any
     */
    constructor(message: string, cause?: Error);
}
//# sourceMappingURL=OperationInterruptedError.d.ts.map