import type { JSONObject } from 'tiny-types';
import { RuntimeError } from './RuntimeError';
/**
 * Thrown to indicate that an [`Interaction`](https://serenity-js.org/api/core/class/Interaction/), a [`Task`](https://serenity-js.org/api/core/class/Task/) or a test scenario
 * took longer to execute than the expected timeout.
 *
 * @group Errors
 */
export declare class TimeoutExpiredError extends RuntimeError {
    static fromJSON(serialised: JSONObject): TimeoutExpiredError;
    /**
     * @param message
     *  Human-readable description of the error
     *
     * @param [cause]
     *  The root cause of this [`RuntimeError`](https://serenity-js.org/api/core/class/RuntimeError/), if any
     */
    constructor(message: string, cause?: Error);
}
//# sourceMappingURL=TimeoutExpiredError.d.ts.map