import type { JSONObject } from 'tiny-types';
import { RuntimeError } from './RuntimeError';
/**
 * Thrown to indicate that an unknown error has occurred.
 *
 * @group Errors
 */
export declare class UnknownError extends RuntimeError {
    static fromJSON(serialised: JSONObject): UnknownError;
    /**
     * @param message - Human-readable description of the error
     * @param [cause] - The root cause of this [`RuntimeError`](https://serenity-js.org/api/core/class/RuntimeError/), if any
     */
    constructor(message: string, cause?: Error);
}
//# sourceMappingURL=UnknownError.d.ts.map