import type { ActivityDetails, CorrelationId, Outcome } from '../model';
import type { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * Emitted when an [`Activity`](https://serenity-js.org/api/core/class/Activity/) is finished.
 *
 * @group Events
 */
export declare abstract class ActivityFinished extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly activityId: CorrelationId;
    readonly details: ActivityDetails;
    readonly outcome: Outcome;
    constructor(sceneId: CorrelationId, activityId: CorrelationId, details: ActivityDetails, outcome: Outcome, timestamp?: Timestamp);
}
//# sourceMappingURL=ActivityFinished.d.ts.map