"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityFinished = void 0;
const tiny_types_1 = require("tiny-types");
const DomainEvent_1 = require("./DomainEvent");
/**
 * Emitted when an [`Activity`](https://serenity-js.org/api/core/class/Activity/) is finished.
 *
 * @group Events
 */
class ActivityFinished extends DomainEvent_1.DomainEvent {
    sceneId;
    activityId;
    details;
    outcome;
    constructor(sceneId, activityId, details, outcome, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.activityId = activityId;
        this.details = details;
        this.outcome = outcome;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('activityId', activityId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('details', details, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('outcome', outcome, (0, tiny_types_1.isDefined)());
    }
}
exports.ActivityFinished = ActivityFinished;
//# sourceMappingURL=ActivityFinished.js.map