"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityRelatedArtifactGenerated = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const ArtifactGenerated_1 = require("./ArtifactGenerated");
/**
 * @group Events
 */
class ActivityRelatedArtifactGenerated extends ArtifactGenerated_1.ArtifactGenerated {
    activityId;
    static fromJSON(o) {
        return new ActivityRelatedArtifactGenerated(model_1.CorrelationId.fromJSON(o.sceneId), model_1.CorrelationId.fromJSON(o.activityId), model_1.Name.fromJSON(o.name), model_1.Artifact.fromJSON(o.artifact), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, activityId, name, artifact, timestamp) {
        super(sceneId, name, artifact, timestamp);
        this.activityId = activityId;
        (0, tiny_types_1.ensure)('activityId', activityId, (0, tiny_types_1.isDefined)());
    }
}
exports.ActivityRelatedArtifactGenerated = ActivityRelatedArtifactGenerated;
//# sourceMappingURL=ActivityRelatedArtifactGenerated.js.map