import type { ActivityDetails, CorrelationId } from '../model';
import type { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * Emitted when an [`Activity`](https://serenity-js.org/api/core/class/Activity/) starts.
 *
 * @group Events
 */
export declare abstract class ActivityStarts extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly activityId: CorrelationId;
    readonly details: ActivityDetails;
    constructor(sceneId: CorrelationId, activityId: CorrelationId, details: ActivityDetails, timestamp?: Timestamp);
}
//# sourceMappingURL=ActivityStarts.d.ts.map