import type { JSONObject } from 'tiny-types';
import { Path } from '../io';
import type { ArtifactType } from '../model';
import { CorrelationId, Name } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * @group Events
 */
export declare class ArtifactArchived extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly name: Name;
    readonly type: ArtifactType;
    readonly path: Path;
    readonly artifactTimestamp: Timestamp;
    static fromJSON(o: JSONObject): ArtifactArchived;
    constructor(sceneId: CorrelationId, name: Name, type: ArtifactType, path: Path, artifactTimestamp: Timestamp, timestamp?: Timestamp);
    toJSON(): JSONObject;
}
//# sourceMappingURL=ArtifactArchived.d.ts.map