import type { JSONObject } from 'tiny-types';
import { Artifact, CorrelationId, Name } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * @group Events
 */
export declare class ArtifactGenerated extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly name: Name;
    readonly artifact: Artifact;
    static fromJSON(o: JSONObject): ArtifactGenerated;
    constructor(sceneId: CorrelationId, name: Name, artifact: Artifact, timestamp?: Timestamp);
}
//# sourceMappingURL=ArtifactGenerated.d.ts.map