"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArtifactGenerated = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class ArtifactGenerated extends DomainEvent_1.DomainEvent {
    sceneId;
    name;
    artifact;
    static fromJSON(o) {
        return new ArtifactGenerated(model_1.CorrelationId.fromJSON(o.sceneId), model_1.Name.fromJSON(o.name), model_1.Artifact.fromJSON(o.artifact), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, name, artifact, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.name = name;
        this.artifact = artifact;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('name', name, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('artifact', artifact, (0, tiny_types_1.isDefined)());
    }
}
exports.ArtifactGenerated = ArtifactGenerated;
//# sourceMappingURL=ArtifactGenerated.js.map