import type { JSONObject } from 'tiny-types';
import { CorrelationId, Description, Name } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * @group Events
 */
export declare class AsyncOperationAttempted extends DomainEvent {
    readonly name: Name;
    readonly description: Description;
    readonly correlationId: CorrelationId;
    static fromJSON(o: JSONObject): AsyncOperationAttempted;
    constructor(name: Name, description: Description, correlationId: CorrelationId, timestamp?: Timestamp);
}
//# sourceMappingURL=AsyncOperationAttempted.d.ts.map