"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncOperationCompleted = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class AsyncOperationCompleted extends DomainEvent_1.DomainEvent {
    correlationId;
    static fromJSON(o) {
        return new AsyncOperationCompleted(model_1.CorrelationId.fromJSON(o.correlationId), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(correlationId, timestamp) {
        super(timestamp);
        this.correlationId = correlationId;
        (0, tiny_types_1.ensure)('correlationId', correlationId, (0, tiny_types_1.isDefined)());
    }
}
exports.AsyncOperationCompleted = AsyncOperationCompleted;
//# sourceMappingURL=AsyncOperationCompleted.js.map