import type { JSONObject } from 'tiny-types';
import { BusinessRule, CorrelationId, ScenarioDetails } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * Emitted by [@serenity-js/cucumber](https://serenity-js.org/api/cucumber)
 * when a [business rule](https://cucumber.io/docs/gherkin/reference/#rule) is detected.
 *
 * @group Events
 */
export declare class BusinessRuleDetected extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly details: ScenarioDetails;
    readonly rule: BusinessRule;
    static fromJSON(o: JSONObject): BusinessRuleDetected;
    constructor(sceneId: CorrelationId, details: ScenarioDetails, rule: BusinessRule, timestamp?: Timestamp);
}
//# sourceMappingURL=BusinessRuleDetected.d.ts.map