"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomainEvent = void 0;
const tiny_types_1 = require("tiny-types");
const screenplay_1 = require("../screenplay");
/**
 * Represents an internal domain event that occurs during test execution.
 *
 * @group Events
 */
class DomainEvent extends tiny_types_1.TinyType {
    timestamp;
    /**
     * @param timestamp
     */
    constructor(timestamp = new screenplay_1.Timestamp()) {
        super();
        this.timestamp = timestamp;
        (0, tiny_types_1.ensure)('timestamp', timestamp, (0, tiny_types_1.isDefined)());
    }
}
exports.DomainEvent = DomainEvent;
//# sourceMappingURL=DomainEvent.js.map