import type { JSONObject } from 'tiny-types';
import { ActivityFinished } from './ActivityFinished';
/**
 * Emitted when an [`Interaction`](https://serenity-js.org/api/core/class/Interaction/) is finished.
 * [`StageCrewMember`](https://serenity-js.org/api/core/interface/StageCrewMember/) instances listen
 * to this event to report on the outcome of the interaction, or perform any additional follow-up activities,
 * such as taking a screenshot.
 *
 * @group Events
 */
export declare class InteractionFinished extends ActivityFinished {
    static fromJSON(o: JSONObject): InteractionFinished;
}
//# sourceMappingURL=InteractionFinished.d.ts.map