"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InteractionFinished = void 0;
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const ActivityFinished_1 = require("./ActivityFinished");
/**
 * Emitted when an [`Interaction`](https://serenity-js.org/api/core/class/Interaction/) is finished.
 * [`StageCrewMember`](https://serenity-js.org/api/core/interface/StageCrewMember/) instances listen
 * to this event to report on the outcome of the interaction, or perform any additional follow-up activities,
 * such as taking a screenshot.
 *
 * @group Events
 */
class InteractionFinished extends ActivityFinished_1.ActivityFinished {
    static fromJSON(o) {
        return new InteractionFinished(model_1.CorrelationId.fromJSON(o.sceneId), model_1.CorrelationId.fromJSON(o.activityId), model_1.ActivityDetails.fromJSON(o.details), model_1.Outcome.fromJSON(o.outcome), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
}
exports.InteractionFinished = InteractionFinished;
//# sourceMappingURL=InteractionFinished.js.map