import type { JSONObject } from 'tiny-types';
import { CorrelationId } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * Indicates that the test runner will retry running the test scenario upon failure.
 *
 * @group Events
 */
export declare class RetryableSceneDetected extends DomainEvent {
    readonly sceneId: CorrelationId;
    /**
     * Deserialises the event from a JSONObject
     *
     * @param o
     */
    static fromJSON(o: JSONObject): RetryableSceneDetected;
    /**
     * @param sceneId
     * @param [timestamp]
     */
    constructor(sceneId: CorrelationId, timestamp?: Timestamp);
}
//# sourceMappingURL=RetryableSceneDetected.d.ts.map