"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetryableSceneDetected = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * Indicates that the test runner will retry running the test scenario upon failure.
 *
 * @group Events
 */
class RetryableSceneDetected extends DomainEvent_1.DomainEvent {
    sceneId;
    /**
     * Deserialises the event from a JSONObject
     *
     * @param o
     */
    static fromJSON(o) {
        return new RetryableSceneDetected(model_1.CorrelationId.fromJSON(o.sceneId), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    /**
     * @param sceneId
     * @param [timestamp]
     */
    constructor(sceneId, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
    }
}
exports.RetryableSceneDetected = RetryableSceneDetected;
//# sourceMappingURL=RetryableSceneDetected.js.map