"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneBackgroundDetected = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class SceneBackgroundDetected extends DomainEvent_1.DomainEvent {
    sceneId;
    name;
    description;
    static fromJSON(o) {
        return new SceneBackgroundDetected(model_1.CorrelationId.fromJSON(o.sceneId), model_1.Name.fromJSON(o.name), model_1.Description.fromJSON(o.description));
    }
    constructor(sceneId, name, description, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.name = name;
        this.description = description;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('name', name, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('description', description, (0, tiny_types_1.isDefined)());
    }
}
exports.SceneBackgroundDetected = SceneBackgroundDetected;
//# sourceMappingURL=SceneBackgroundDetected.js.map