"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneDescriptionDetected = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class SceneDescriptionDetected extends DomainEvent_1.DomainEvent {
    sceneId;
    description;
    static fromJSON(o) {
        return new SceneDescriptionDetected(model_1.CorrelationId.fromJSON(o.sceneId), model_1.Description.fromJSON(o.description), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, description, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.description = description;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('description', description, (0, tiny_types_1.isDefined)());
    }
}
exports.SceneDescriptionDetected = SceneDescriptionDetected;
//# sourceMappingURL=SceneDescriptionDetected.js.map