import type { JSONObject } from 'tiny-types';
import { CorrelationId, Outcome, ScenarioDetails } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * @group Events
 */
export declare class SceneFinished extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly details: ScenarioDetails;
    readonly outcome: Outcome;
    static fromJSON(o: JSONObject): SceneFinished;
    constructor(sceneId: CorrelationId, details: ScenarioDetails, outcome: Outcome, timestamp?: Timestamp);
}
//# sourceMappingURL=SceneFinished.d.ts.map