import type { JSONObject } from 'tiny-types';
import { CorrelationId } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * Emitted by a Serenity/JS test runner adapter, right before a test and all its associated test hooks finish.
 * Triggers any clean-up operations that might be required, such as discarding of
 * the [discardable](https://serenity-js.org/api/core/interface/Discardable/) abilities.
 *
 * @group Events
 */
export declare class SceneFinishes extends DomainEvent {
    readonly sceneId: CorrelationId;
    static fromJSON(o: JSONObject): SceneFinishes;
    constructor(sceneId: CorrelationId, timestamp?: Timestamp);
}
//# sourceMappingURL=SceneFinishes.d.ts.map