"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneFinishes = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * Emitted by a Serenity/JS test runner adapter, right before a test and all its associated test hooks finish.
 * Triggers any clean-up operations that might be required, such as discarding of
 * the [discardable](https://serenity-js.org/api/core/interface/Discardable/) abilities.
 *
 * @group Events
 */
class SceneFinishes extends DomainEvent_1.DomainEvent {
    sceneId;
    static fromJSON(o) {
        return new SceneFinishes(model_1.CorrelationId.fromJSON(o.sceneId), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
    }
}
exports.SceneFinishes = SceneFinishes;
//# sourceMappingURL=SceneFinishes.js.map