import type { JSONObject } from 'tiny-types';
import { CorrelationId, ScenarioDetails, ScenarioParameters } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * @group Events
 */
export declare class SceneParametersDetected extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly details: ScenarioDetails;
    readonly parameters: ScenarioParameters;
    static fromJSON(o: JSONObject): SceneParametersDetected;
    constructor(sceneId: CorrelationId, details: ScenarioDetails, parameters: ScenarioParameters, timestamp?: Timestamp);
}
//# sourceMappingURL=SceneParametersDetected.d.ts.map