"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneParametersDetected = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class SceneParametersDetected extends DomainEvent_1.DomainEvent {
    sceneId;
    details;
    parameters;
    static fromJSON(o) {
        return new SceneParametersDetected(model_1.CorrelationId.fromJSON(o.sceneId), model_1.ScenarioDetails.fromJSON(o.details), model_1.ScenarioParameters.fromJSON(o.parameters), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, details, parameters, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.details = details;
        this.parameters = parameters;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('details', details, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('parameters', parameters, (0, tiny_types_1.isDefined)());
    }
}
exports.SceneParametersDetected = SceneParametersDetected;
//# sourceMappingURL=SceneParametersDetected.js.map