import type { JSONObject } from 'tiny-types';
import { CorrelationId, ScenarioDetails } from '../model';
import { Timestamp } from '../screenplay';
import { DomainEvent } from './DomainEvent';
/**
 * Emitted by a Serenity/JS test runner adapter when a test scenario and its associated test hooks are about to start.
 *
 * @group Events
 */
export declare class SceneStarts extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly details: ScenarioDetails;
    static fromJSON(o: JSONObject): SceneStarts;
    constructor(sceneId: CorrelationId, details: ScenarioDetails, timestamp?: Timestamp);
}
//# sourceMappingURL=SceneStarts.d.ts.map