"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneStarts = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * Emitted by a Serenity/JS test runner adapter when a test scenario and its associated test hooks are about to start.
 *
 * @group Events
 */
class SceneStarts extends DomainEvent_1.DomainEvent {
    sceneId;
    details;
    static fromJSON(o) {
        return new SceneStarts(model_1.CorrelationId.fromJSON(o.sceneId), model_1.ScenarioDetails.fromJSON(o.details), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, details, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.details = details;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('details', details, (0, tiny_types_1.isDefined)());
    }
}
exports.SceneStarts = SceneStarts;
//# sourceMappingURL=SceneStarts.js.map