"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneTagged = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class SceneTagged extends DomainEvent_1.DomainEvent {
    sceneId;
    tag;
    static fromJSON(o) {
        return new SceneTagged(model_1.CorrelationId.fromJSON(o.sceneId), model_1.Tag.fromJSON(o.tag), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, tag, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.tag = tag;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('tag', tag, (0, tiny_types_1.isDefined)());
    }
}
exports.SceneTagged = SceneTagged;
//# sourceMappingURL=SceneTagged.js.map