"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunFinished = void 0;
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * Emitted when all the test scenarios have finished running.
 *
 * @group Events
 */
class TestRunFinished extends DomainEvent_1.DomainEvent {
    outcome;
    static fromJSON(o) {
        return new TestRunFinished(model_1.Outcome.fromJSON(o.outcome), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(outcome, timestamp) {
        super(timestamp);
        this.outcome = outcome;
    }
}
exports.TestRunFinished = TestRunFinished;
//# sourceMappingURL=TestRunFinished.js.map