"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunFinishes = void 0;
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * Emitted when the last test in the test suite has finished running
 * and it's time for any last-minute reporting activities to take place.
 *
 * @group Events
 */
class TestRunFinishes extends DomainEvent_1.DomainEvent {
    static fromJSON(v) {
        return new TestRunFinishes(screenplay_1.Timestamp.fromJSON(v));
    }
    constructor(timestamp) {
        super(timestamp);
    }
}
exports.TestRunFinishes = TestRunFinishes;
//# sourceMappingURL=TestRunFinishes.js.map