"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunnerDetected = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class TestRunnerDetected extends DomainEvent_1.DomainEvent {
    sceneId;
    name;
    static fromJSON(o) {
        return new TestRunnerDetected(model_1.CorrelationId.fromJSON(o.sceneId), model_1.Name.fromJSON(o.name), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, name, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.name = name;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('name', name, (0, tiny_types_1.isDefined)());
    }
}
exports.TestRunnerDetected = TestRunnerDetected;
//# sourceMappingURL=TestRunnerDetected.js.map