"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestSuiteFinished = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../model");
const screenplay_1 = require("../screenplay");
const DomainEvent_1 = require("./DomainEvent");
/**
 * @group Events
 */
class TestSuiteFinished extends DomainEvent_1.DomainEvent {
    details;
    outcome;
    static fromJSON(o) {
        return new TestSuiteFinished(model_1.TestSuiteDetails.fromJSON(o.details), model_1.Outcome.fromJSON(o.outcome), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(details, outcome, timestamp) {
        super(timestamp);
        this.details = details;
        this.outcome = outcome;
        (0, tiny_types_1.ensure)('details', details, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('outcome', outcome, (0, tiny_types_1.isDefined)());
    }
}
exports.TestSuiteFinished = TestSuiteFinished;
//# sourceMappingURL=TestSuiteFinished.js.map