import type { JSONObject } from 'tiny-types';
import { CorrelationId } from '../../model';
import { type SerialisedActor, Timestamp } from '../../screenplay';
import { DomainEvent } from '../DomainEvent';
/**
 * Emitted when an [`Actor`](https://serenity-js.org/api/core/class/Actor/) is activated
 * as the result of invoking [`actorCalled`](https://serenity-js.org/api/core/function/actorCalled/).
 *
 * @group Events
 */
export declare class ActorEntersStage extends DomainEvent {
    readonly sceneId: CorrelationId;
    readonly actor: SerialisedActor;
    static fromJSON(o: JSONObject): ActorEntersStage;
    constructor(sceneId: CorrelationId, actor: SerialisedActor, timestamp?: Timestamp);
}
//# sourceMappingURL=ActorEntersStage.d.ts.map