"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActorEntersStage = void 0;
const tiny_types_1 = require("tiny-types");
const model_1 = require("../../model");
const screenplay_1 = require("../../screenplay");
const DomainEvent_1 = require("../DomainEvent");
/**
 * Emitted when an [`Actor`](https://serenity-js.org/api/core/class/Actor/) is activated
 * as the result of invoking [`actorCalled`](https://serenity-js.org/api/core/function/actorCalled/).
 *
 * @group Events
 */
class ActorEntersStage extends DomainEvent_1.DomainEvent {
    sceneId;
    actor;
    static fromJSON(o) {
        return new ActorEntersStage(model_1.CorrelationId.fromJSON(o.sceneId), o.actor, screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
    constructor(sceneId, actor, timestamp) {
        super(timestamp);
        this.sceneId = sceneId;
        this.actor = actor;
        (0, tiny_types_1.ensure)('sceneId', sceneId, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('actor', actor, (0, tiny_types_1.isDefined)());
    }
}
exports.ActorEntersStage = ActorEntersStage;
//# sourceMappingURL=ActorEntersStage.js.map