import type { JSONObject } from 'tiny-types';
import { CorrelationId, Name } from '../../model';
import { Timestamp } from '../../screenplay';
import { AsyncOperationAttempted } from '../AsyncOperationAttempted';
/**
 * Emitted when an [`Actor`](https://serenity-js.org/api/core/class/Actor/) is dismissed
 * either upon the [`SceneFinishes`](https://serenity-js.org/api/core-events/class/SceneFinishes/) event
 * for actors initialised within the scope of a test scenario,
 * or upon the [`TestRunFinishes`](https://serenity-js.org/api/core-events/class/TestRunFinishes/) event
 * for actors initialised within the scope of a test suite.
 *
 * @group Events
 */
export declare class ActorStageExitAttempted extends AsyncOperationAttempted {
    readonly actor: Name;
    static fromJSON(o: JSONObject): ActorStageExitAttempted;
    constructor(correlationId: CorrelationId, actor: Name, timestamp?: Timestamp);
}
//# sourceMappingURL=ActorStageExitAttempted.d.ts.map