import { type JSONObject } from 'tiny-types';
import { CorrelationId, Name } from '../../model';
import { Timestamp } from '../../screenplay';
import { AsyncOperationCompleted } from '../AsyncOperationCompleted';
/**
 * Emitted when an [`Actor`](https://serenity-js.org/api/core/class/Actor/) and its abilities
 * are correctly [released](https://serenity-js.org/api/core/interface/Discardable/) either
 * upon the [`SceneFinishes`](https://serenity-js.org/api/core-events/class/SceneFinishes/) event
 * for actors initialised within the scope of a test scenario,
 * or upon the [`TestRunFinishes`](https://serenity-js.org/api/core-events/class/TestRunFinishes/) event
 * for actors initialised within the scope of a test suite.
 *
 * @group Events
 */
export declare class ActorStageExitCompleted extends AsyncOperationCompleted {
    readonly actor: Name;
    static fromJSON(o: JSONObject): ActorStageExitCompleted;
    constructor(correlationId: CorrelationId, actor: Name, timestamp?: Timestamp);
}
//# sourceMappingURL=ActorStageExitCompleted.d.ts.map