import type { JSONObject } from 'tiny-types';
import { AsyncOperationFailed } from '../AsyncOperationFailed';
/**
 * Emitted when [releasing](https://serenity-js.org/api/core/interface/Discardable/) an
 * [`Actor`](https://serenity-js.org/api/core/class/Actor/) or its abilities
 * resulted in an error either
 * upon the [`SceneFinishes`](https://serenity-js.org/api/core-events/class/SceneFinishes/) event
 * for actors initialised within the scope of a test scenario,
 * or upon the [`TestRunFinishes`](https://serenity-js.org/api/core-events/class/TestRunFinishes/) event
 * for actors initialised within the scope of a test suite.
 *
 * @group Events
 */
export declare class ActorStageExitFailed extends AsyncOperationFailed {
    static fromJSON(o: JSONObject): ActorStageExitFailed;
}
//# sourceMappingURL=ActorStageExitFailed.d.ts.map