"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActorStageExitFailed = void 0;
const errors_1 = require("../../errors");
const model_1 = require("../../model");
const screenplay_1 = require("../../screenplay");
const AsyncOperationFailed_1 = require("../AsyncOperationFailed");
/**
 * Emitted when [releasing](https://serenity-js.org/api/core/interface/Discardable/) an
 * [`Actor`](https://serenity-js.org/api/core/class/Actor/) or its abilities
 * resulted in an error either
 * upon the [`SceneFinishes`](https://serenity-js.org/api/core-events/class/SceneFinishes/) event
 * for actors initialised within the scope of a test scenario,
 * or upon the [`TestRunFinishes`](https://serenity-js.org/api/core-events/class/TestRunFinishes/) event
 * for actors initialised within the scope of a test suite.
 *
 * @group Events
 */
class ActorStageExitFailed extends AsyncOperationFailed_1.AsyncOperationFailed {
    static fromJSON(o) {
        return new ActorStageExitFailed(errors_1.ErrorSerialiser.deserialise(o.error), model_1.CorrelationId.fromJSON(o.correlationId), screenplay_1.Timestamp.fromJSON(o.timestamp));
    }
}
exports.ActorStageExitFailed = ActorStageExitFailed;
//# sourceMappingURL=ActorStageExitFailed.js.map