"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileFinder = void 0;
const fast_glob_1 = __importDefault(require("fast-glob"));
const Path_1 = require("./Path");
class FileFinder {
    cwd;
    constructor(cwd) {
        this.cwd = cwd;
    }
    filesMatching(globPatterns) {
        if (!globPatterns) {
            return [];
        }
        return fast_glob_1.default.sync(globPatterns, {
            cwd: this.cwd.value,
            absolute: true,
            unique: true,
        }).map((value) => new Path_1.Path(value));
    }
}
exports.FileFinder = FileFinder;
//# sourceMappingURL=FileFinder.js.map