import { TinyType } from 'tiny-types';
/**
 * A tiny type describing a version number, like `1.2.3`
 */
export declare class Version extends TinyType {
    private readonly version;
    static fromJSON(version: string): Version;
    constructor(version: string);
    isLowerThan(other: Version): boolean;
    isAtMost(other: Version): boolean;
    /**
     * @param other
     */
    isAtLeast(other: Version): boolean;
    isHigherThan(other: Version): boolean;
    /**
     * @returns
     *  Major version number of a given package version, i.e. `1` in `1.2.3`
     */
    major(): number;
    satisfies(range: string): boolean;
    toString(): string;
}
//# sourceMappingURL=Version.d.ts.map