import { TinyType } from 'tiny-types';
/**
 * A tiny type describing a version number, like `1.2.3`
 */
export declare class Version extends TinyType {
    private readonly version;
    /**
     * @param {string} version
     * @returns {Version}
     */
    static fromJSON(version: string): Version;
    /**
     * @param {string} version
     */
    constructor(version: string);
    /**
     * @param {Version} other
     * @returns {boolean}
     */
    isAtLeast(other: Version): boolean;
    /**
     * @returns {number}
     *  Major version number of a given package version, i.e. `1` in `1.2.3`
     */
    major(): number;
    /**
     * @returns {string}
     */
    toString(): string;
}
//# sourceMappingURL=Version.d.ts.map