import type { Answerable } from '../screenplay/Answerable';
interface StringifyConfig {
    inline: boolean;
    indentationLevel?: number;
    markQuestions?: boolean;
}
/**
 * Provides a human-readable description of the [`Answerable<T>`](https://serenity-js.org/api/core/#Answerable).
 * Similar to [Node util~inspect](https://nodejs.org/api/util.html#utilinspectobject-options).
 *
 * @param value
 * @param config
 *  - inline - Return a single-line string instead of the default potentially multi-line description
 *  - markQuestions - Surround the description of async values, such as Promises and Questions with <<value>>
 */
export declare function stringified(value: Answerable<any>, config?: StringifyConfig): string;
export {};
//# sourceMappingURL=stringified.d.ts.map