"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessRule = void 0;
const tiny_types_1 = require("tiny-types");
const Description_1 = require("./Description");
const Name_1 = require("./Name");
class BusinessRule extends tiny_types_1.TinyType {
    name;
    description;
    static fromJSON(o) {
        return new BusinessRule(Name_1.Name.fromJSON(o.name), Description_1.Description.fromJSON(o.description));
    }
    constructor(name, description) {
        super();
        this.name = name;
        this.description = description;
        (0, tiny_types_1.ensure)('name', name, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('description', description, (0, tiny_types_1.isDefined)());
    }
}
exports.BusinessRule = BusinessRule;
//# sourceMappingURL=BusinessRule.js.map