"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScenarioDetails = void 0;
const tiny_types_1 = require("tiny-types");
const io_1 = require("../io");
const Category_1 = require("./Category");
const Name_1 = require("./Name");
class ScenarioDetails extends tiny_types_1.TinyType {
    name;
    category;
    location;
    static fromJSON(o) {
        return new ScenarioDetails(Name_1.Name.fromJSON(o.name), Category_1.Category.fromJSON(o.category), io_1.FileSystemLocation.fromJSON(o.location));
    }
    constructor(name, category, location) {
        super();
        this.name = name;
        this.category = category;
        this.location = location;
        (0, tiny_types_1.ensure)('scenario name', name, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('scenario category', category, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('scenario location', location, (0, tiny_types_1.isDefined)());
    }
}
exports.ScenarioDetails = ScenarioDetails;
//# sourceMappingURL=ScenarioDetails.js.map