"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScenarioParameters = void 0;
const tiny_types_1 = require("tiny-types");
const Description_1 = require("./Description");
const Name_1 = require("./Name");
class ScenarioParameters extends tiny_types_1.TinyType {
    name;
    description;
    values;
    static fromJSON(o) {
        return new ScenarioParameters(Name_1.Name.fromJSON(o.name), Description_1.Description.fromJSON(o.description), o.values);
    }
    constructor(name, description, values) {
        super();
        this.name = name;
        this.description = description;
        this.values = values;
        (0, tiny_types_1.ensure)('name', name, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('description', description, (0, tiny_types_1.isDefined)());
        (0, tiny_types_1.ensure)('values', values, (0, tiny_types_1.isDefined)());
    }
}
exports.ScenarioParameters = ScenarioParameters;
//# sourceMappingURL=ScenarioParameters.js.map