import type { JSONObject } from 'tiny-types';
import { JSONData } from './JSONData';
/**
 * The value of the `HTTPRequestResponse` artifact describing an HTTP request/response pair.
 */
export interface RequestAndResponse extends JSONObject {
    request: {
        url: string;
        method: string;
        headers: Record<string, string | number | boolean>;
        data?: any;
    };
    response: {
        status: number;
        data?: any;
        headers?: Record<string, string> & {
            'set-cookie'?: string[];
        };
    };
}
/**
 * An artifact describing a HTTP request/response pair.
 */
export declare class HTTPRequestResponse extends JSONData {
    static fromJSON(value: RequestAndResponse): HTTPRequestResponse;
}
//# sourceMappingURL=HTTPRequestResponse.d.ts.map