"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserTag = void 0;
const Tag_1 = require("./Tag");
/**
 * @access public
 */
class BrowserTag extends Tag_1.Tag {
    browserName;
    browserVersion;
    static Type = 'browser';
    static fromJSON(o) {
        return new BrowserTag(o.browserName, o.browserVersion);
    }
    constructor(browserName, browserVersion = '') {
        super([browserName, browserVersion]
            .filter(_ => !!_)
            .join(' '), BrowserTag.Type);
        this.browserName = browserName;
        this.browserVersion = browserVersion;
    }
    toJSON() {
        return {
            name: this.name,
            type: BrowserTag.Type,
            browserName: this.browserName,
            browserVersion: this.browserVersion,
        };
    }
}
exports.BrowserTag = BrowserTag;
//# sourceMappingURL=BrowserTag.js.map