"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutionRetriedTag = void 0;
const Tag_1 = require("./Tag");
/**
 * Indicates that execution of a given scene
 * has been retried for the `currentRetry`-th time.
 */
class ExecutionRetriedTag extends Tag_1.Tag {
    retry;
    description;
    static Type = 'retry';
    static fromJSON(o) {
        return new ExecutionRetriedTag(o.retry, o.description);
    }
    constructor(retry, description) {
        super(description || `${retry}${nth(retry)} retry`, ExecutionRetriedTag.Type);
        this.retry = retry;
        this.description = description;
    }
}
exports.ExecutionRetriedTag = ExecutionRetriedTag;
/**
 * @private
 * @param n
 */
function nth(n) {
    return ['st', 'nd', 'rd'][((n + 90) % 100 - 10) % 10 - 1] || 'th';
}
//# sourceMappingURL=ExecutionRetriedTag.js.map