"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlatformTag = void 0;
const Tag_1 = require("./Tag");
/**
 * @access public
 */
class PlatformTag extends Tag_1.Tag {
    platformName;
    platformVersion;
    static Type = 'platform';
    static fromJSON(o) {
        return new PlatformTag(o.platformName, o.platformVersion);
    }
    constructor(platformName, platformVersion = '') {
        super([platformName, platformVersion]
            .filter(_ => !!_)
            .join(' '), PlatformTag.Type);
        this.platformName = platformName;
        this.platformVersion = platformVersion;
    }
    toJSON() {
        return {
            name: this.name,
            type: PlatformTag.Type,
            platformName: this.platformName,
            platformVersion: this.platformVersion,
        };
    }
}
exports.PlatformTag = PlatformTag;
//# sourceMappingURL=PlatformTag.js.map