import { TinyType } from 'tiny-types';
import type { ExpectationDetails } from './ExpectationDetails';
/**
 * An outcome of an [`Expectation`](https://serenity-js.org/api/core/class/Expectation/),
 * which could be either [met](https://serenity-js.org/api/core/class/ExpectationMet/) or [not met](https://serenity-js.org/api/core/class/ExpectationNotMet/).
 *
 * @group Expectations
 */
export declare class ExpectationOutcome extends TinyType {
    readonly message: string;
    readonly expectation: ExpectationDetails;
    readonly expected: unknown;
    readonly actual: unknown;
    constructor(message: string, expectation: ExpectationDetails, expected: unknown, actual: unknown);
}
//# sourceMappingURL=ExpectationOutcome.d.ts.map