"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpectationOutcome = void 0;
const tiny_types_1 = require("tiny-types");
/**
 * An outcome of an [`Expectation`](https://serenity-js.org/api/core/class/Expectation/),
 * which could be either [met](https://serenity-js.org/api/core/class/ExpectationMet/) or [not met](https://serenity-js.org/api/core/class/ExpectationNotMet/).
 *
 * @group Expectations
 */
class ExpectationOutcome extends tiny_types_1.TinyType {
    message;
    expectation;
    expected;
    actual;
    constructor(message, expectation, expected, actual) {
        super();
        this.message = message;
        this.expectation = expectation;
        this.expected = expected;
        this.actual = actual;
    }
}
exports.ExpectationOutcome = ExpectationOutcome;
//# sourceMappingURL=ExpectationOutcome.js.map