import type { DomainEvent } from '../events';
import type { Clock, Duration, TellsTime, Timestamp } from '../screenplay';
import type { ListensToDomainEvents } from '../stage';
/**
 * @group Stage
 */
export declare class StageManager implements TellsTime {
    private readonly cueTimeout;
    private readonly clock;
    private readonly subscribers;
    private readonly wip;
    constructor(cueTimeout: Duration, clock: Clock);
    register(...subscribers: ListensToDomainEvents[]): void;
    deregister(subscriber: ListensToDomainEvents): void;
    notifyOf(event: DomainEvent): void;
    waitForAsyncOperationsToComplete(): Promise<void>;
    waitForNextCue(): Promise<void>;
    currentTime(): Timestamp;
}
//# sourceMappingURL=StageManager.d.ts.map