"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hash = void 0;
const crypto_1 = require("crypto");
const tiny_types_1 = require("tiny-types");
/**
 * @package
 */
class Hash extends tiny_types_1.TinyType {
    value;
    static of(value) {
        return new Hash((0, crypto_1.createHash)('sha1').update(value).digest('hex'));
    }
    constructor(value) {
        super();
        this.value = value;
        (0, tiny_types_1.ensure)(this.constructor.name, value, (0, tiny_types_1.isDefined)());
    }
    long() {
        return this.value;
    }
    short() {
        return this.value.slice(0, 10);
    }
}
exports.Hash = Hash;
//# sourceMappingURL=Hash.js.map