import type { DomainEvent } from '../../events';
import type { CorrelationId } from '../../model';
/**
 * @group Stage
 */
export declare class DomainEventQueue {
    private readonly queue;
    constructor(...items: Array<DomainEvent & {
        sceneId: CorrelationId;
    }>);
    get sceneId(): CorrelationId;
    first(): DomainEvent & {
        sceneId: CorrelationId;
    };
    enqueue(event: DomainEvent & {
        sceneId: CorrelationId;
    }): void;
    drain(): Array<DomainEvent & {
        sceneId: CorrelationId;
    }>;
    reduce<U>(fn: (previousValue: U, currentValue: DomainEvent & {
        sceneId: CorrelationId;
    }, currentIndex: number) => U, initialValue: U): U;
}
//# sourceMappingURL=DomainEventQueue.d.ts.map