"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomainEventQueue = void 0;
const tiny_types_1 = require("tiny-types");
/**
 * @group Stage
 */
class DomainEventQueue {
    queue;
    constructor(...items) {
        this.queue = items;
    }
    get sceneId() {
        (0, tiny_types_1.ensure)('queue', this.queue, isNotEmpty());
        return this.queue[0].sceneId;
    }
    first() {
        return this.queue[0];
    }
    enqueue(event) {
        this.queue.push(event);
    }
    drain() {
        return this.queue.splice(0);
    }
    reduce(fn, initialValue) {
        return Array.from(this.queue).reduce(fn, initialValue);
    }
}
exports.DomainEventQueue = DomainEventQueue;
function isNotEmpty() {
    return tiny_types_1.Predicate.to(`not be empty`, (value) => Array.isArray(value) && value.length > 0);
}
//# sourceMappingURL=DomainEventQueue.js.map